GET
Get keys
Retrieve user keys using wallet IDs. User must have spender permissions for the specified wallets.
Query Params
-
walletIdsarray of strings requiredAn array of wallet IDs. A maximum of 50 wallet ids are permitted.
Responses
200
OK
Response Body
array of objects
-
walletIdstring required -
keyobjectRepresents a key associated with a wallet. The key can either be a validKeyobject ornullif no key is associated.key object
-
idstring required -
encryptedPrvstringThe encrypted private key
-
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id